#pragma once
#include "CLanguage.h"
#include "CClasses.h"
#include "duilib.h"
#include "resource.h"
#include "DefineUI.h"
#include "KeyVar.h"

//安装中界面
class InstallingPage
{
public:
	InstallingPage(CPaintManagerUI* m_pm);
	~InstallingPage();
public:
	CPaintManagerUI* m_pm;//该变量不可用普通变量类型来赋值，会崩溃；需要用指针才能更好的处理

	CVerticalLayoutUI* LayoutInstalling;
	CProgressUI* InstallingProgress;
	CTabLayoutUI* pTabSwitch;
	CControlUI* ConNoNetWork;
	CLabelUI* installNotWork;
	CLabelUI* installingValue;
	CLabelUI* LbInstalledPath;
public:
	void InitControls();
	void InitLanguage();
	void InitValue();
	void SetProgressValue(int value);
	CDuiString UIstr(TextType textType);

#pragma region UI界面变化
public:
	//网络状态UI改变，isNet是否有网络
	void NetWorkUI(bool isNet);

#pragma endregion

};

